`rmprior` <-
function(priors.object)
{
        n.base <- length(pos.base <- grep("base.", names(priors.object)))
#        pos.base.names <- names(priors.object)[pos.base]
        lab.base <- unlist(strsplit(names(priors.object)[pos.base], ".", fixed = TRUE))
        lab.base.names <- lab.base[lab.base!="base"]
        out1 <- vector("list", length = n.base)

    for(i in 1:n.base) {
      base<-paste("base", lab.base.names[i], sep = ".")
      len.alleles <- dim(priors.object[[base]])[2]
      prior <- round(rep(1/len.alleles, len.alleles), 5)
      assign(paste("alpha", lab.base.names[i], sep = "."), prior)
      out1[[i]] <- get(paste("alpha", lab.base.names[i], sep = "."))
      names(out1)[i] <- paste("alpha", lab.base.names[i], sep = ".")
    }

     out.priors <- out1
     return(as.list(out.priors))

}


