`otolith.inits` <-
function(otolith.object, type = c("random", "fixed")[1], n.chains=1, max.prob=0.90)
{
	out.fin<-vector("list", length = n.chains)
    for(g in 1:n.chains) {
	

        n.mix <- length(ymix.pos <- grep("y.mix", names(otolith.object)))
        ymix.names <- names(otolith.object)[ymix.pos]
        out1 <- vector("list", length = n.mix)
        lambda <- matrix(1, otolith.object$G, otolith.object$V)
        tau <- matrix(0, otolith.object$V, otolith.object$V)
        diag(tau) <- 1
        n.base <- length(unique(otolith.object$Train.oto))
        if(type == "random") {
                for(i in 1:n.mix) {
                        assign(paste("T", i, sep = ""), sample(1:n.base, dim(otolith.object[ymix.names][[i]])[1], replace = TRUE))
                        out1[[i]] <- get(paste("T", i, sep = ""))
                        names(out1)[i] <- paste("T", i, sep = "")
                }
        } 
        else {
		  for(i in 1:n.mix) {
			PRob<-rep(0,n.base)
			PRob[sample(1:n.base,1)]<-max.prob
			PRob[PRob==0]<-(1-max.prob)/(n.base-1)
			assign(paste("T", i, sep = ""), sample(1:n.base,dim(otolith.object[ymix.names][[i]])[1],prob=PRob, replace = TRUE))
			out1[[i]] <- get(paste("T", i, sep = ""))
#			names(out1[i]) <- paste("T", i, sep = "")
       names(out1)[i] <- paste("T", i, sep = "")
		  }

        }
        out.fin[[g]]<-as.list(c(list(lambda = lambda), out1, list(tau = tau))) #NEW return() required for package building
    }
    return(as.list(out.fin))
}

